Subject: Ticket Assigned - 4059544 Escalate to WH for follow up.
From: Home Box <[email-masked]>
To: [email-masked]
Date: Tue, 02 Aug 2022 11:48:05 +0000

Hi Alhamzi Mohammed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  4059544 Escalate to WH for follow up. Ramy                    No one replied           03:30 PM, 02nd Aug                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           03:30 PM, 02nd Aug                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            03:30 PM, 02nd Aug                     Ramy                    ?????           03:31 PM, 02nd Aug                   New                   We are experiencing high volume of incoming messages. Please make sure you've described your query in detail. Please be sure to include your Order Number/Invoice number or details of the item you are inquiring about.            03:32 PM, 02nd Aug                   New                
    If you have any pictures that you would like to share, please do that.            03:32 PM, 02nd Aug                   New                   We will respond to your query in just a few minutes. Please accept our apologies for the delay. Thank you for your patience           03:32 PM, 02nd Aug                     Ramy                             03:33 PM, 02nd Aug                   Alhamzi                   We have sent your complain to our team under this number 4059544           03:38 PM, 02nd Aug                   Alhamzi                   our team will contact you within 3-4 days           03:39 PM, 02nd Aug                   Alhamzi                   you can contact us after 24-48 hours to know more about your complain           03:40 PM, 02nd Aug                   Alhamzi                   Do you have any other inquiries that we can help with?           03:40 PM, 02nd Aug                     Ramy                    It's my third time to give me complain number  and no one co
 ntacted me I went to your branch more than 5 times, it's the worst customer service I have ever seen, really very disappointed           03:41 PM, 02nd Aug                     Ramy                    I have to contact customer protection in UAE           03:42 PM, 02nd Aug                     Ramy                    It's really wasting time to contact you           03:42 PM, 02nd Aug                   Alhamzi                   Kindly note that we have raised a reminder to our team and we will follow up the team regarding this issue           03:45 PM, 02nd Aug                   Alhamzi                   We will update you once we get an update           03:45 PM, 02nd Aug                   Alhamzi                   could you please provide us with your Email ID so we can update you           03:45 PM, 02nd Aug                                          View conversation in Freshchat https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4681995